
Redmine - Defect #11549

Start date of 2nd issue does not follow if the first issue end date moves up

2012-07-31 15:56 - john zhel

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 2.0.3

Description

I have 2 issues.

I set Issue 002 follows Issue 001. Issue 001's end date is Sept 1st.

If I change the end date of Issue 001 to 5 days later (to Sept 6th), I see Issue 002's start and end date aslo move forward (later) 5

days, which is good.

Here is the problem: if I move the end date of Issue 001 to 5 days earlier (to August 25th), the Start date and end date of Issue 002

does not move accordingly, instead, they just stay where they were - no changes. Why is that? How to fix it?

Thanks!

Related issues:

Is duplicate of Redmine - Defect #8936: rescheduling of an issue to an earlie... Closed 2011-07-28

History

#1 - 2012-07-31 15:58 - john zhel

Just to clarify: "I have 2 issues." in my previous post means I created 2 new issues in my Redmine to test out the related issue feature (one follows

the other).

#2 - 2012-07-31 18:15 - john zhel

Found a solution here:

http://www.redmine.org/plugins/redmine_better_gantt_chart

where it says "•Fixed rescheduling of related tasks if due date of dependent task changed to an earlier date."

 Just wondering, if there is a special reason the core makes it this way? Any idea?

#3 - 2012-08-13 19:00 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate

No particular reason, it's just not implemented.
